Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.http.security
Class FormLoginServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.http.security.FormLoginServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class FormLoginServlet
extends GenericServlet

See Also:
  Serialized Form

Constructor Summary
`FormLoginServlet()`

Method Summary
`void` | `service(ServletRequest request, ServletResponse response)` Called by the servlet container to allow the servlet to respond to a request.

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormLoginServlet

    public FormLoginServlet()

Method Detail

### service

    public void service(ServletRequest request,
                        ServletResponse response)
                 throws ServletException,
                        java.io.IOException

  Description copied from class: `GenericServlet`
  Called by the servlet container to allow the servlet to respond to a request. See `Servlet.service(javax.servlet.ServletRequest, javax.servlet.ServletResponse)`.

  This method is declared abstract so subclasses, such as `HttpServlet`, must override it.

  Overrides:
    `service` in class `GenericServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Parameters:
    `req` - the `ServletRequest` object that contains the client's request
    `res` - the `ServletResponse` object that will contain the servlet's response
  Throws:
    `ServletException` - if an exception occurs that interferes with the servlet's normal operation occurred
    `java.io.IOException` - if an input or output exception occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD